server:
  port: 7701
  servlet:
    context-path: /jeecg-boot
    compression:
      enabled: true
      mime-types: application/javascript,application/json,application/xml,text/html,text/xml,text/plain,text/css,image/*
dubbo:
  application:
    id: sys-center-dubbo-prodiver
    name: sys-center-dubbo-prodiver
  registry:
    address: nacos://127.0.0.1:8848
  protocol:
    name: dubbo
    port: 20880
#swagger
knife4j:
  production: false
  basic:
    enable: false
    username: jeecg
    password: jeecg1314
management:
  endpoints:
    web:
      exposure:
        include: metrics,httptrace
spring:
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848
        service: jeecg-system
  servlet:
    multipart:
      max-file-size: -1
      max-request-size: -1
  mail:
    host: smtp.163.com
    username: jeecgos@163.com
    password: ??
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
            required: true
  ## quartz定时任务,采用数据库方式
  #json 时间戳统一转换
  jackson:
    date-format:   yyyy-MM-dd HH:mm:ss
    time-zone:   GMT+8
  aop:
    proxy-target-class: true
  #配置freemarker
  freemarker:
    # 设置模板后缀名
    suffix: .ftl
    # 设置文档类型
    content-type: text/html
    # 设置页面编码格式
    charset: UTF-8
    # 设置页面缓存
    cache: false
    prefer-file-system-access: false
    # 设置ftl文件路径
    template-loader-path:
      - classpath:/templates
  # 设置静态文件路径，js,css等
  mvc:
    static-path-pattern: /**
  resource:
    static-locations: classpath:/static/,classpath:/public/
  autoconfigure:
    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure
  datasource:
    #---------------------线上库
    #    url: jdbc:mysql://139.186.27.96:3390/jeecg-boot?characterEncoding=UTF-8&useUnicode=true&useSSL=false&tinyInt1isBit=false&allowPublicKeyRetrieval=true&serverTimezone=GMT%2B8
    #    username: readonly
    #    password: hcst@2021
    #---------------------测试库
    url: jdbc:mysql://139.186.165.84:3306/jeecg-boot?characterEncoding=UTF-8&useUnicode=true&allowMultiQueries=true
    username: hcst
    password: hcst@2020
    driver-class-name: com.mysql.jdbc.Driver
    druid:
      stat-view-servlet:
        loginUsername: admin
        loginPassword: hcst2016
        enabled: true
      web-stat-filter:
        enabled: true
    #      remove-abandoned: false
    dynamic:
      druid:
        # 全局druid参数，绝大部分值和默认保持一致。(现已支持的参数如下,不清楚含义不要乱设置)
        # 连接池的配置信息
        # 初始化大小，最小，最大
        connection-init-sql: set names utf8mb4
        initial-size: 5
        min-idle: 5
        maxActive: 20
        # 配置获取连接等待超时的时间
        maxWait: 60000
        # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
        timeBetweenEvictionRunsMillis: 60000
        # 配置一个连接在池中最小生存的时间，单位是毫秒
        minEvictableIdleTimeMillis: 300000
        validationQuery: SELECT 1 FROM DUAL
        testWhileIdle: true
        testOnBorrow: false
        testOnReturn: false
        # 打开PSCache，并且指定每个连接上PSCache的大小
        poolPreparedStatements: true
        maxPoolPreparedStatementPerConnectionSize: 20
        # 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
        filters: stat,slf4j
        # 通过connectProperties属性来打开mergeSql功能；慢SQL记录
        connectionProperties: druid.stat.mergeSql\=true;druid.stat.slowSqlMillis\=5000
      datasource:
        master:
          #---------------------线上库
#          url: jdbc:mysql://139.186.27.96:3390/jeecg-boot?characterEncoding=UTF-8&useUnicode=true&useSSL=false&tinyInt1isBit=false&allowPublicKeyRetrieval=true&serverTimezone=GMT%2B8
#          username: data
#          password: hcst@2021
          #---------------------测试库
          url: jdbc:mysql://139.186.165.84:3306/jeecg-boot?characterEncoding=UTF-8&useUnicode=true&allowMultiQueries=true
          username: hcst
          password: hcst@2020
          driver-class-name: com.mysql.jdbc.Driver
  #redis 配置
  redis:
    database: 0
    #    host: 172.30.0.17
    host: 127.0.0.1
    password:
    port: 6379
    lettuce:
      pool:
        max-active: 8   #最大连接数据库连接数,设 0 为没有限制
        max-idle: 8     #最大等待连接中的数量,设 0 为没有限制
        max-wait: -1ms  #最大建立连接等待时间。如果超过此时间将接到异常。设为-1表示无限制。
        min-idle: 0     #最小等待连接中的数量,设 0 为没有限制
      shutdown-timeout: 100ms
#mybatis plus 设置
mybatis-plus:
  mapper-locations: classpath*:org/jeecg/**/xml/*Mapper.xml,classpath*:cn/com/ctop/**/xml/*Mapper.xml
  global-config:
    # 关闭MP3.0自带的banner
    banner: false
    db-config:
      #主键类型  0:"数据库ID自增",1:"该类型为未设置主键类型", 2:"用户输入ID",3:"全局唯一ID (数字类型唯一ID)", 4:"全局唯一ID UUID",5:"字符串全局唯一ID (idWorker 的字符串表示)";
      id-type: 4
      # 默认数据库表下划线命名
      table-underline: true
#  configuration:
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
#jeecg专用配置
jeecg:
  elasticsearch:
    address: 127.0.0.1:9200
    connect-timeout: 1000
    socket-timeout: 30000
    connection-request-timeout: 500
    max-connect-num: 500
    max-connect-per-route: 100
    cluster-nodes:
    check-enabled: false
  uploadType:
  oss:
    endpoint:
    accessKey:
    secretKey:
    bucketName:
    staticDomain:
  sms:
    accessKeyId:
    accessKeySecret:
  minio:
    minio_url:
    minio_name:
    minio_pass:
    bucketName:
  ffmpeg:
    bin: ffmpeg
  path:
    #文件上传根目录 设置
    upload: /mnt/upload
    #webapp文件路径
    webapp: /mnt/webapp
    video-upload: /mnt/upload/video/
    image-upload: D://data//image//
    kuaishou-agent-image: D://temp.png
    kuaishou-account-captcha-image: D://captcha.png
    chrome-driver: D://chromedriver.exe
    csv-upload: /mnt/upload/csv/
    bak-database-file: /mnt/data/bak/
    report-history: D://mnt//reportKs//
    report-daily: D://mnt//reportKs//
kuaishou:
  api-url: https://ad.e.kuaishou.com
  auth-url: https://ad.e.kuaishou.com
  appid: 27
  third-appid: 328
  oauth-type: agent
  secret: QovprB1tNhXptgDc
  third-secret: 1iFTBiMdohkyEQQs
  callback-url: http://adsp.c-top.com.cn:8080/jeecg-boot/kuaishou
  third-callback-url: http://callback.shyouteng.com.cn/kuaishou
  apk-sava-path: /mnt/file/apk
  image-sava-path: /mnt/file/image
  video-sava-path: /mnt/file/video
  model-video-src-path: /mnt/data/src/
  model-video-fill-path: /mnt/data/fill/
  model-video-final-path: /mnt/data/final/
  group-control:
    path: http://39.106.184.70
    port: 4723
logging:
  level:
    root: info
  config: classpath:logback-prod.xml
chrome:
  script:
    clean: sh /mnt/webapp/cleanProcess.sh
cas:
  prefixUrl:
oss:
  replace:
    replace-value: oss-cn-beijing-internal
    replace-old-value: oss-cn-beijing
    download: D://mnt//image//
zip:
  local:
    download-path: D://mnt//data//
bytedance:
  appId: 1635316529903624
  secret: 0c51523e90d6166418fc8421a4896808e90e26f4
  url:
    auth-prefix: https://ad.oceanengine.com/openapi
    api-prefix: https://ad.oceanengine.com/open_api
    callback-url: http://adsp.c-top.com.cn:8080/jeecg-boot/bytedance
    refresh-token: /oauth2/refresh_token
    advertiser-info: /2/advertiser/public_info/
    ad-get: /2/ad/get/
    ad-create: /2/ad/create/
    ad-update: /2/ad/update/
    ad-update-status: /2/ad/update/status/
    ad-update-bid: /2/ad/update/bid/
    ad-update-budget: /2/ad/update/budget/
    ad-update-reject-reason: 2/ad/reject_reason/
    campaign-get: /2/campaign/get/
    campaign-create: /2/campaign/create/
    campaign-update-status: /2/campaign/update/status/
    campaign-update: /2/campaign/update/
    dmp-custom-audience-select: /2/dmp/custom_audience/select/
    file-video-ad: /2/file/video/ad/
    file-image-ad: /2/file/image/ad/
    creative-update-status: /2/creative/update/status/
    creative-material-get: /2/creative/material/read/
    creative-create-v2: /2/creative/create_v2/
    creative-get: /2/creative/get/
    creative-read: /2/creative/read_v2/
    creative-update: /2/creative/update_v2/
    creative-reject-reason: /2/creative/reject_reason/
    advertiser-report-get: /2/report/advertiser/get/
    campaign-report-get: /2/report/campaign/get/
    ad-report-get: /2/report/ad/get/
    ad-creative-get: /2/report/creative/get/
    advertiser-fund-daily-stat: /2/advertiser/fund/daily_stat/
ai:
  callback:
    callback-unit-url: http://192.168.1.193:31012/ai_callback_add_group
    callback-creative-url: http://192.168.1.193:31012/ai_callback_add_creative
xxl-job:
  requestUrl: http://jiaoyangapi.shyouteng.com.cn
rule:
  bytedanceUrl: http://139.186.165.84:8808/

duxiaoman:
  url: https://dev-liang.duxiaoman.com
  appId: 1660011893128
  token: 99e6dfa5ff790437200521fd13d6128c
